#if !defined(_PROPPAGE_ATLSETTINGS_H_)
#define _PROPPAGE_ATLSETTINGS_H_

// PropPage_AtlSettings.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPropPage_AtlSettings dialog

class CXmlProjectSettings_Atl;
class CXmlProject;

class CPropPage_AtlSettings : public CPropertyPage
{
	DECLARE_DYNCREATE(CPropPage_AtlSettings)

// Construction
public:
	CPropPage_AtlSettings();
	~CPropPage_AtlSettings();

// Dialog Data
	//{{AFX_DATA(CPropPage_AtlSettings)
	enum { IDD = IDD_PROPERTY_ATL };
	CEdit	txtDllFileNamePrefix_;
	CStatic	lblDllFileNamePrefix_;
	CEdit	txtTypeLibraryName_;
	CStatic	lblTypeLibraryName_;
	CStatic	lblResourceOffset_;
	CEdit	txtResourceOffset_;
	CButton	cmdBrowsePath2_;
	CEdit	txtPostBuildPath_;
	CEdit	txtFolders_;
	CButton	chkEnableAtl_;
	CEdit	txtGenerationPath_;
	CButton	cmdReset_;
	CButton	cmdBrowsePath_;
	CEdit	txtClassPrefix_;
	CButton	chkGenerateTestProject_;
	CButton	chkGenerateGui_;
	CButton	chkDeleteOldFiles_;
	//}}AFX_DATA

	virtual void SetData(CXmlProjectSettings_Atl* cppSettings, CXmlProject* project);
	virtual void StoreData();

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPropPage_AtlSettings)
	public:
	virtual BOOL OnApply();	
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	
	void DisplaySettings();
	void UpdateControlsEnable();
	void UpdateFoldersDescription();

	// Generated message map functions
	//{{AFX_MSG(CPropPage_AtlSettings)
	virtual BOOL OnInitDialog();
	afx_msg void OnCmdBrowsePath();
	afx_msg void OnChkGenerateTestProject();
	afx_msg void OnChkGenerateGuiClasses();
	afx_msg void OnChkDeletePreviouslyGeneratedFiles();
	afx_msg void OnChangeGenerationPath();
	afx_msg void OnChangeClassPrefix();
	afx_msg void OnChkEnable();
	afx_msg void OnCmdBrowsePath2();
	afx_msg void OnCmdResetGuid();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP();

	CXmlProjectSettings_Atl* atlSettings_;
	CXmlProject* project_;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(_PROPPAGE_ATLSETTINGS_H_)
